## org.hibernate.service.spi
Interface Configurable

All Known Implementing Classes:
  AbstractJtaPlatform, BatchBuilderImpl, BitronixJtaPlatform, BorlandEnterpriseServerJtaPlatform, C3P0ConnectionProvider, DatasourceConnectionProviderImpl, DriverManagerConnectionProviderImpl, InjectedDataSourceConnectionProvider, JBossAppServerJtaPlatform, JBossStandAloneJtaPlatform, JdbcServicesImpl, JOnASJtaPlatform, JOTMJtaPlatform, JRun4JtaPlatform, OC4JJtaPlatform, OrionJtaPlatform, ResinJtaPlatform, SunOneJtaPlatform, TestingJtaBootstrap.JtaAwareDataSourceConnectionProvider, TestingJtaBootstrap.TestingJtaPlatformImpl, TransactionManagerLookupBridge, WeblogicJtaPlatform, WebSphereExtendedJtaPlatform, WebSphereJtaPlatform

    public interface Configurable

Allows the service to request access to the configuration properties for configuring itself.

Method Summary
`void` `configure(Map configurationValues)` Configure the service.

Method Detail

### configure

    void configure(Map configurationValues)

  Configure the service.

  Parameters:
    `configurationValues` - The configuration properties.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.